Bug 91779 - XFree86-4.3.0-12 build fails
XFree86-4.3.0-12 build fails
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-27 21:03 EDT by sean
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-28 15:09:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sean 2003-05-27 21:03:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030524

Description of problem:
Building XFree86-4.3.0-12 with gcc-3.2.3-4:

gcc -m32 -c -march=athlon-xp -m3dnow -msse -mmmx -O2  -fno-strict-aliasing -pipe
 -ansi -pedantic -Wall -Wpointer-arith -Wundef   -I/usr/include/freetype2 -Wall
-Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations
-Wnested-externs  -I../.. -I../../exports/include   -Dlinux -D__i386__
-D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE
-D_SVID_SOURCE -D_GNU_SOURCE   -DFUNCPROTO=15 -DNARROWPROTO -DXTHREADS 
-D_REENTRANT -DXUSE_MTSAFE_API    -DFREETYPE2      -fPIC xftdbg.c
rm -f xftdpy.o unshared/xftdpy.o
gcc -m32 -c -ansi -pedantic -Wall -Wpointer-arith -Wundef  
-I/usr/include/freetype2 -Wall -Wpointer-arith -Wstrict-prototypes
-Wmissing-prototypes -Wmissing-declarations -Wnested-externs  -I../..
-I../../exports/include   -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L
-D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE  -D_GNU_SOURCE  
-DFUNCPROTO=15 -DNARROWPROTO -DXTHREADS  -D_REENTRANT -DXUSE_MTSAFE_API   
-DFREETYPE2   -march=athlon-xp -m3dnow -msse -mmmx -O2  -fno-strict-aliasing
-pipe   xftdpy.c -o unshared/xftdpy.o
xftdpy.c: In function `_XftDefaultInit':
xftdpy.c:380: `FC_HINT_STYLE' undeclared (first use in this function)
xftdpy.c:380: (Each undeclared identifier is reported only once
xftdpy.c:380: for each function it appears in.)
xftdpy.c: In function `XftDefaultSubstitute':
xftdpy.c:478: `FC_HINT_STYLE' undeclared (first use in this function)
make[4]: *** [xftdpy.o] Error 1
make[4]: Leaving directory `/usr/src/redhat/BUILD/XFree86-4.3.0/xc/lib/Xft'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/usr/src/redhat/BUILD/XFree86-4.3.0/xc/lib'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/usr/src/redhat/BUILD/XFree86-4.3.0/xc'
make[1]: *** [World] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/XFree86-4.3.0/xc'
make: *** [World] Error 2
make: Leaving directory `/usr/src/redhat/BUILD/XFree86-4.3.0/xc'
error: Bad exit status from /var/tmp/rpm-tmp.1298 (%build)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild XFree86-4.3.0-12
2.
3.
    

Additional info:
Comment 1 Mike A. Harris 2003-05-28 15:09:27 EDT
XFree86 4.3.0-12 builds perfectly fine here. Something is screwed up in your
setup likely.  My guess is that you aren't using Red Hat freetype.

Bugzilla isn't for technical support however, please use one of the mailing
lists to find a solution to your problem.

Note You need to log in before you can comment on or make changes to this bug.